#ifndef __SPR_ANIME_H__
#define __SPR_ANIME_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "../spr_arm.h"


enum {
	not_used_sp,
	myship1_a,
	myship1_b,
	myship2_a,
	myship2_b,
	myship3_a,
	myship3_b,
	myship4_a,
	myship4_b,
	myship5_a,
	myship5_b,
	myship6_a,
	myship6_b,
	zako1_a,
	zako1_b,
	zako2_a,
	zako2_b,
	big_ship1_a,
	big_ship1_b,
	helico1_a,
	helico1_b,
	helico1_c,
	helico1_d,
	helico1_e,
	helico1_f,
	helico1_g,
	helico1_h,
	helico1_i,
	helico1_j,
	helico1_k,
	helico1_l,
	helico1_m,
	helico1_n,
	helico1_o,
	helico1_p,
	helico1_q,
	helico1_r,
	helico1_s,
	helico1_t,
	helico1_u,
	helico1_v,
	helico1_w,
	helico1_x,
	middle_ship1_open_a,
	middle_ship1_open_b,
	middle_ship1_open_c,
	middle_ship1_open_d,
	middle_ship1_a,
	middle_ship1_b,
	middle_ship1_broken,
	middle_ship2_a,
	middle_ship2_b,
	middle_ship2_broken,
	middle_ship3_a,
	middle_ship3_b,
	middle_ship3_broken,
	middle_ship4_a,
	middle_ship4_broken,
	middle_ship5_a,
	middle_ship5_broken,
	cannon1_a,
	cannon1_b,
	cannon1_c,
	cannon1_d,
	cannon1_e,
	cannon1_f,
	cannon1_g,
	cannon1_h,
	cannon2_a,
	cannon2_b,
	cannon2_c,
	cannon2_d,
	cannon2_e,
	cannon2_f,
	cannon2_g,
	cannon2_h,
	cannon3_a,
	cannon3_b,
	cannon3_c,
	cannon3_d,
	cannon3_e,
	cannon3_f,
	cannon3_g,
	cannon3_h,
	y_ship_a,
	y_ship_broken,
	fragment1_a,
	fragment1_b,
	fragment1_c,
	fragment1_d,
	fragment1_e,
	fragment1_f,
	fragment1_g,
	fragment1_h,
	fragment2_a,
	fragment2_b,
	fragment2_c,
	fragment2_d,
	fragment2_e,
	fragment2_f,
	fragment2_g,
	fragment2_h,
	fragment3_a,
	fragment3_b,
	fragment3_c,
	fragment3_d,
	fragment3_e,
	fragment3_f,
	fragment3_g,
	fragment3_h,
	fragment4_a,
	fragment4_b,
	fragment4_c,
	fragment4_d,
	fragment4_e,
	fragment4_f,
	fragment4_g,
	fragment4_h,
	fragment5_a,
	fragment5_b,
	fragment5_c,
	fragment5_d,
	fragment5_e,
	fragment5_f,
	fragment5_g,
	fragment5_h,
	explosion1_a,
	explosion1_b,
	explosion1_c,
	explosion1_d,
	explosion1_e,
	explosion1_f,
	explosion1_g,
	explosion1_h,
	explosion2_a,
	explosion2_b,
	explosion2_c,
	explosion2_d,
	explosion2_e,
	explosion2_f,
	explosion2_g,
	explosion2_h,
	explosion3_a,
	explosion3_b,
	explosion3_c,
	explosion3_d,
	explosion3_e,
	explosion3_f,
	explosion3_g,
	explosion3_h,
	explosion4_a,
	explosion4_b,
	explosion4_c,
	explosion4_d,
	explosion4_e,
	explosion4_f,
	explosion4_g,
	explosion4_h,
	explosion5_a,
	explosion5_b,
	explosion5_c,
	explosion5_d,
	explosion5_e,
	explosion5_f,
	explosion5_g,
	explosion5_h,
	explosion6_a,
	explosion6_b,
	explosion6_c,
	explosion6_d,
	explosion6_e,
	explosion6_f,
	explosion6_g,
	explosion6_h,
	big_bomb1,
	big_bomb1_a,
	big_bomb1_b,
	big_bomb1_c,
	big_bomb1_d,
	flash1_a,
	flash1_b,
	spark1_a,
	spark1_b,
	spark1_c,
	spark1_d,
	spark2_a,
	spark2_b,
	spark2_c,
	spark2_d,
	spark2_e,
	spark2_f,
	spark2_g,
	spark2_h,
	smork1_a,
	smork1_b,
	smork1_c,
	smork1_d,
	smork1_e,
	smork1_f,
	smork1_g,
	smork1_h,
	smork2_a,
	smork2_b,
	smork2_c,
	smork2_d,
	smork3_a,
	smork3_b,
	smork3_c,
	smork3_d,
	smork3_e,
	smork3_f,
	smork3_g,
	smork3_h,
	bullet1_a,
	bullet1_b,
	bullet1_c,
	bullet1_d,
	bullet2_a,
	bullet2_b,
	bullet2_c,
	bullet2_d,
	bullet2_e,
	bullet2_f,
	bullet2_g,
	bullet2_h,
	bullet3_a,
	bullet3_b,
	bullet3_c,
	bullet3_d,
	bullet4_a,
	bullet4_b,
	bullet4_c,
	bullet4_d,
	bullet5a_a,
	bullet5a_b,
	bullet5a_c,
	bullet5a_d,
	bullet5a_e,
	bullet5a_f,
	bullet5a_g,
	bullet5a_h,
	bullet5a_i,
	bullet5a_j,
	bullet5a_k,
	bullet5a_l,
	bullet5a_m,
	bullet5a_n,
	bullet5a_o,
	bullet5a_p,
	bullet5b_a,
	bullet5b_b,
	bullet5b_c,
	bullet5b_d,
	bullet5b_e,
	bullet5b_f,
	bullet5b_g,
	bullet5b_h,
	bullet5b_i,
	bullet5b_j,
	bullet5b_k,
	bullet5b_l,
	bullet5b_m,
	bullet5b_n,
	bullet5b_o,
	bullet5b_p,
	bullet5c_a,
	bullet5c_b,
	bullet5c_c,
	bullet5c_d,
	bullet5c_e,
	bullet5c_f,
	bullet5c_g,
	bullet5c_h,
	bullet5c_i,
	bullet5c_j,
	bullet5c_k,
	bullet5c_l,
	bullet5c_m,
	bullet5c_n,
	bullet5c_o,
	bullet5c_p,
	bullet5d_a,
	bullet5d_b,
	bullet5d_c,
	bullet5d_d,
	bullet5d_e,
	bullet5d_f,
	bullet5d_g,
	bullet5d_h,
	bullet5d_i,
	bullet5d_j,
	bullet5d_k,
	bullet5d_l,
	bullet5d_m,
	bullet5d_n,
	bullet5d_o,
	bullet5d_p,
	bullet6_a,
	bullet6_b,
	bullet6_c,
	bullet6_d,
	bullet6_e,
	bullet6_f,
	bullet6_g,
	bullet6_h,
	bullet6_i,
	bullet6_j,
	bullet6_k,
	bullet6_l,
	bullet6_m,
	bullet6_n,
	bullet6_o,
	bullet6_p,
	bullet7a_a,
	bullet7a_b,
	bullet7a_c,
	bullet7a_d,
	bullet7a_e,
	bullet7a_f,
	bullet7a_g,
	bullet7a_h,
	bullet7a_i,
	bullet7a_j,
	bullet7a_k,
	bullet7a_l,
	bullet7a_m,
	bullet7a_n,
	bullet7a_o,
	bullet7a_p,
	bullet7b_a,
	bullet7b_b,
	bullet7b_c,
	bullet7b_d,
	bullet7b_e,
	bullet7b_f,
	bullet7b_g,
	bullet7b_h,
	bullet7b_i,
	bullet7b_j,
	bullet7b_k,
	bullet7b_l,
	bullet7b_m,
	bullet7b_n,
	bullet7b_o,
	bullet7b_p,
	bullet8a_a,
	bullet8a_b,
	bullet8a_c,
	bullet8a_d,
	bullet8a_e,
	bullet8a_f,
	bullet8a_g,
	bullet8a_h,
	bullet8a_i,
	bullet8a_j,
	bullet8a_k,
	bullet8a_l,
	bullet8a_m,
	bullet8a_n,
	bullet8a_o,
	bullet8a_p,
	bullet8b_a,
	bullet8b_b,
	bullet8b_c,
	bullet8b_d,
	bullet8b_e,
	bullet8b_f,
	bullet8b_g,
	bullet8b_h,
	bullet8b_i,
	bullet8b_j,
	bullet8b_k,
	bullet8b_l,
	bullet8b_m,
	bullet8b_n,
	bullet8b_o,
	bullet8b_p,
	bullet9a_a,
	bullet9a_b,
	bullet9a_c,
	bullet9a_d,
	bullet9a_e,
	bullet9a_f,
	bullet9a_g,
	bullet9a_h,
	bullet9a_i,
	bullet9a_j,
	bullet9a_k,
	bullet9a_l,
	bullet9a_m,
	bullet9a_n,
	bullet9a_o,
	bullet9a_p,
	bullet9b_a,
	bullet9b_b,
	bullet9b_c,
	bullet9b_d,
	bullet9b_e,
	bullet9b_f,
	bullet9b_g,
	bullet9b_h,
	bullet9b_i,
	bullet9b_j,
	bullet9b_k,
	bullet9b_l,
	bullet9b_m,
	bullet9b_n,
	bullet9b_o,
	bullet9b_p,
	end_sp,
};


extern const ST_SPR_ANIME* sprAnimeTable[];


#ifdef __cplusplus
}
#endif
#endif
