#ifndef __TASK_BULLET_H__
#define __TASK_BULLET_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "lib/gba.h"


//---------------------------------------------------------------------------
typedef struct {
	s32 x;
	s32 y;
	s16 deg;
	s16 speed;
	s16 chr;
	s16 animeWait;
	s16 animeFrame;
	s16 pat;
} ST_TASK_BULLET;


//---------------------------------------------------------------------------
EWRAM_CODE void TaskBulletAlloc(s32 x, s32 y, s32 deg, s32 speed, s32 chr);
EWRAM_CODE void TaskBulletRun(void* p);
EWRAM_CODE void TaskBulletDraw(void* p);

#ifdef __cplusplus
}
#endif
#endif
