#ifndef __BG_H__
#define __BG_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "lib/gba.h"

//---------------------------------------------------------------------------
#define BG_MAX_CNT			4


//---------------------------------------------------------------------------
typedef struct {
	u32  mapBase;
	u16* mapBaseAdr;
	u32  tileBase;
	u16* tileBaseAdr;
} ST_BG;



//---------------------------------------------------------------------------
EWRAM_CODE void BgInit();

EWRAM_CODE void Bg1On();
EWRAM_CODE void Bg1Off();

EWRAM_CODE void BgPrint(u16 no, u16 x, u16 y, char* s);


#ifdef __cplusplus
}
#endif
#endif
