#ifndef __DMA_CHAIN_H__
#define __DMA_CHAIN_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "lib/gba.h"


//---------------------------------------------------------------------------
#define MAX_DMA_CHAIN_CNT		128


//---------------------------------------------------------------------------
typedef struct {
	u32* src;
	u32* dst;
	u32  mode;
} ST_DMA_CHAIN;


//---------------------------------------------------------------------------
EWRAM_CODE void DmaChainInit();
IWRAM_CODE void DmaChainEnqueue(u32* src, u32* dst, u16 size);
IWRAM_CODE void DmaChainEnqueueFix(u32* src, u32* dst, u16 size);
IWRAM_CODE void DmaChainTransfer();

#ifdef __cplusplus
}
#endif
#endif
