#ifndef __MAIN_H__
#define __MAIN_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "lib/gba.h"

//---------------------------------------------------------------------------
//vȌ
enum {
	STATE_INIT  = 0x01,
	STATE_RESET,
	STATE_EXEC,
};


typedef struct {
	s16  fpsTimer;
	s16  fpsCount;
	s16  gameTime;
	s16  gameFrame;
	s16  frameCount;

	s16  bulletWait;
	s16  bulletSpeed;
	s16  bulletChr;
	u16  deg;
	u16  fps;
	u16  delay;
} ST_STATUS;



//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateExec();


EWRAM_CODE void StatusInit();


EWRAM_CODE void SystemError(char* msg1, char* msg2);


#ifdef __cplusplus
}
#endif
#endif
