#ifndef __TASK_SYS_H__
#define __TASK_SYS_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "lib/gba.h"

//---------------------------------------------------------------------------
typedef struct {
	s16  cur;
	u16  curWait;
	s16  curPos;
	bool isProc;
} ST_TASK_SYS;


//---------------------------------------------------------------------------
EWRAM_CODE void TaskSysAlloc();
EWRAM_CODE void TaskSysRun(void* s);
EWRAM_CODE void TaskSysDraw(void* s);





#ifdef __cplusplus
}
#endif
#endif
